Name:          bento4
Version:       1.6.0.641
Release:       1mamba
Summary:       Full-featured MP4 format, MPEG DASH, HLS, CMAF SDK and tools
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.bento4.com/
Source:        https://github.com/axiomatic-systems/Bento4.git/v1.6.0-639/Bento4-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Full-featured MP4 format, MPEG DASH, HLS, CMAF SDK and tools.

%debug_package

%prep
%setup -q -n Bento4-%{version}
sed -i "s/ STATIC / SHARED /" CMakeLists.txt

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd build

# prevent conflict with libmp4v2
for conflicting_file in mp4extract mp4info; do
   mv $conflicting_file $conflicting_file-bento4
done

# install manually (there's no install target)
mkdir -p %{buildroot}%{_libdir} %{buildroot}%{_bindir}
find -iname '*.so' -exec mv --target-directory=%{buildroot}%{_libdir} {} \;
find -maxdepth 1 -executable -type f -exec mv --target-directory=%{buildroot}%{_bindir} {} \;
  
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libap4.so

%changelog
* Sun Nov 26 2023 Automatic Build System <autodist@mambasoft.it> 1.6.0.641-1mamba
- automatic version update by autodist

* Sun Sep 17 2023 Automatic Build System <autodist@mambasoft.it> 1.6.0.640-1mamba
- automatic update by autodist

* Sat Jan 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0_639-1mamba
- package created using the webbuild interface
